Intermittent LeakSanitizer | leak at NS_NewRunnableFunction, mozilla::net::HttpBackgroundChannelChild::ActorDestroy, DestroySubtree, mozilla::net::PHttpBackgroundChannelChild::OnMessageReceived

RESOLVED DUPLICATE of bug 1369571

Status

()

Core
Networking
RESOLVED DUPLICATE of bug 1369571
5 months ago
3 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure, mlk})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

5 months ago
treeherder
Filed by: cbook [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=112464837&repo=autoland

https://queue.taskcluster.net/v1/task/dzZ1-li_RzarjUgWxEYFrQ/runs/0/artifacts/public/logs/live_backing.log

Updated

5 months ago
Keywords: mlk

Comment 1

5 months ago
7 failures in 656 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 2

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1379094&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 2

5 months ago
10 failures in 720 pushes (0.014 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 9
* oak: 1

Platform breakdown:
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1379094&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 3

5 months ago
11 failures in 822 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 2

Platform breakdown:
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1379094&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 4

5 months ago
12 failures in 1008 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 6
* mozilla-inbound: 3
* try: 1
* oak: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1379094&startday=2017-07-24&endday=2017-07-30&tree=all
Dug out from the log:

[task 2017-07-07T06:04:41.243398Z] 06:04:41     INFO - GECKO(4619) | ==4713==ERROR: LeakSanitizer: detected memory leaks
[task 2017-07-07T06:04:41.243614Z] 06:04:41     INFO - GECKO(4619) | Indirect leak of 1800 byte(s) in 1 object(s) allocated from:
[task 2017-07-07T06:04:41.244853Z] 06:04:41     INFO - GECKO(4619) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-07-07T06:04:41.245068Z] 06:04:41     INFO - GECKO(4619) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-07-07T06:04:41.245253Z] 06:04:41     INFO - GECKO(4619) |     #2 0x7f9e8d411840 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-07-07T06:04:41.247471Z] 06:04:41     INFO - GECKO(4619) |     #3 0x7f9e8d411840 in mozilla::net::nsHttpHandler::NewProxiedChannel2(nsIURI*, nsIProxyInfo*, unsigned int, nsIURI*, nsILoadInfo*, nsIChannel**) /home/worker/workspace/build/src/netwerk/protocol/http/nsHttpHandler.cpp:2140
[task 2017-07-07T06:04:41.249451Z] 06:04:41     INFO - GECKO(4619) |     #4 0x7f9e8ccbee4f in mozilla::net::nsIOService::NewChannelFromURIWithProxyFlagsInternal(nsIURI*, nsIURI*, unsigned int, nsILoadInfo*, nsIChannel**) /home/worker/workspace/build/src/netwerk/base/nsIOService.cpp:808:19
[task 2017-07-07T06:04:41.251291Z] 06:04:41     INFO - GECKO(4619) |     #5 0x7f9e8ccec591 in NS_NewChannelInternal(nsIChannel**, nsIURI*, nsILoadInfo*, nsILoadGroup*, nsIInterfaceRequestor*, unsigned int, nsIIOService*) /home/worker/workspace/build/src/netwerk/base/nsNetUtil.cpp:173:20
[task 2017-07-07T06:04:41.252307Z] 06:04:41     INFO - GECKO(4619) |     #6 0x7f9e966a01dc in nsDocShell::DoURILoad(nsIURI*, nsIURI*, mozilla::Maybe<nsCOMPtr<nsIURI> > const&, bool, nsIURI*, bool, unsigned int, nsIPrincipal*, nsIPrincipal*, char const*, nsAString const&, nsIInputStream*, nsIInputStream*, bool, nsIDocShell**, nsIRequest**, bool, bool, bool, nsAString const&, nsIURI*, unsigned int) /home/worker/workspace/build/src/docshell/base/nsDocShell.cpp:11060:10
[task 2017-07-07T06:04:41.254552Z] 06:04:41     INFO - GECKO(4619) |     #7 0x7f9e9663de3e in nsDocShell::InternalLoad(nsIURI*, nsIURI*, mozilla::Maybe<nsCOMPtr<nsIURI> > const&, bool, nsIURI*, unsigned int, nsIPrincipal*, nsIPrincipal*, unsigned int, nsAString const&, char const*, nsAString const&, nsIInputStream*, nsIInputStream*, unsigned int, nsISHEntry*, bool, nsAString const&, nsIDocShell*, nsIURI*, bool, nsIDocShell**, nsIRequest**) /home/worker/workspace/build/src/docshell/base/nsDocShell.cpp:10778:8
[task 2017-07-07T06:04:41.255745Z] 06:04:41     INFO - GECKO(4619) |     #8 0x7f9e9663475b in nsDocShell::LoadURI(nsIURI*, nsIDocShellLoadInfo*, unsigned int, bool) /home/worker/workspace/build/src/docshell/base/nsDocShell.cpp:1579:10
[task 2017-07-07T06:04:41.256759Z] 06:04:41     INFO - GECKO(4619) |     #9 0x7f9e96668bb6 in nsDocShell::LoadURIWithOptions(char16_t const*, unsigned int, nsIURI*, unsigned int, nsIInputStream*, nsIInputStream*, nsIURI*, nsIPrincipal*) /home/worker/workspace/build/src/docshell/base/nsDocShell.cpp:4900:8

SC -- can you have a look?
Component: General → Networking
Flags: needinfo?(schien)
Status: NEW → RESOLVED
Last Resolved: 3 months ago
Flags: needinfo?(schien)
Resolution: --- → DUPLICATE
Duplicate of bug: 1369571
You need to log in before you can comment on or make changes to this bug.